Subject: RE: gcc crash (memory?)
From: "Dan Stratila" <[email-masked]>
To: "'Gerrit P. Haase'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 30 Dec 2005 21:25:23 -0500

Hi,

> -----Original Message-----
> From: Gerrit P. Haase [gerrit at familiehaase dot de] 
> Sent: Friday, December 30, 2005 12:50 PM
> To: Dan Stratila
> Cc: [email-masked]
> Subject: Re: gcc crash (memory?)
> 
> I use gcc 3.4.4.  I have also this famous registry key defined:
> In "HKLM\SOFTWARE\Cygnus Solutions\Cygwin" define a DWORD named
> heap_chunk_in_mb and set the value to 1024 (decimal) or 400 (hex) or
> even more.
> 
> This may require a reboot to take affect.

It turns out (a part of) the problem was that malloc and new allocate twice
the amount of memory requested (see the thread "malloc/new allocate twice as
much?"). Installing the latest snapshot solves this problem, and I am now
able to compile polymake with g++ taking at most ~600MB. (It took 1.5GB on
Red Hat Enterprise Linux 4, but I guess that's because that machine is
64-bit.)

By the way, g++, as well as a program I wrote and compiled with g++, are
able to allocate 1GB, so I don't think the memory limitation / registry
switch issue exists in the latest snapshot.

Dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/